<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <title>BeagleBone Black Demo</title>
 
    <!-- jQuery and jQuery Mobile -->
    <link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.css" />
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="deviceview.js"></script>
    <script src="farbtasticpicker/farbtastic.js"></script>
    <link rel="stylesheet" type="text/css" href="farbtasticpicker/farbtastic.css">

</head>
<body>
<!-- Home -->
<div data-role="page" id="page1">
  <div data-theme="a" data-role="header">
    <h3>
        ZigBee Iot Mesh Demo
    </h3>
  </div>    
  <div data-role="content" align="center">
       
    <div id="DeviceInfo" data-role="fieldcontain" data-theme="c" style="max-width:500px;">
      	<label for="deviceId" class="ui-input-text">Device ID:</label>
      	<input type="text" name="deviceId" id="deviceId" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset ui-disabled mobile-textinput-disabled ui-state-disabled" aria-disabled="true">      
    	  <label for="deviceName" class="ui-input-text">Device Name:</label>
    	  <input type="text" name="deviceName" id="deviceName" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset">
      	<label for="deviceType" class="ui-input-text">Device Type:</label>
      	<input type="text" name="deviceType" id="deviceType" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset ui-disabled mobile-textinput-disabled ui-state-disabled" aria-disabled="true">          
    </div>

    <!--COLOR PICKER-->
    <div id="colorPicker" data-role="fieldcontain" data-theme="c">

      <div class="form-item"></div><div id="picker" style="display:inline"></div>

      <div data-role="fieldcontain" style="max-width:500px;">
      	<label for="color" class="ui-input-text">Color:</label>
      	<input type="text" name="color" id="infoSwatch" value="0" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">  
      	<label for="hue" class="ui-input-text">Hue:</label>
      	<input type="text" name="hue" id="pickerHue" value="0" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">      
    	  <label for="sat" class="ui-input-text">Sat:</label>
    	  <input type="text" name="sat" id="pickerSat" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">
      	<label for="level" class="ui-input-text">Level:</label>
      	<input type="text" name="name" id="pickerLev" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset " aria-disabled="true">
      </div>          
    </div>
    
    <div id="DeviceInfo" data-role="fieldcontain" data-theme="c">
      <select name="stateSwitch" id="stateSwitch" data-role="slider">
	      <option value="off">Off</option>
	      <option value="on">On</option>
      </select>
    </div>        
    
    <a id="quickstartLink" href="https://quickstart.internetofthings.ibmcloud.com/" target=\"_blank\" data-icon="info" data-role="button" style="max-width:400px;">Take me to Quickstart</a>
        
</div>

<script>       
  deviceViewClient = new DeviceViewClient();
  

  
</script>      
      
</body>
</html>
